// ui-tool.h - template created with new.header

#ifndef ui_tools_h
#define ui_tools_h

#include "SList.h"

extern "C"
{
int usage(int errcode);
// internal
bool moveSlots(SList* pslots, SList* pxml);
bool insertSlots(SList* pxml, SList* pslots);

// slots manipulation and code snippet writer
bool sortSlots(const char* filename);
bool writeCpp(const char* filename);
bool writeH(const char* filename);
bool listSlots(const char* filename);
bool listSignals(const char* filename);

// filenames and command writer
bool uicAble(const char* opt_dirname);
bool mocAble(const char* opt_dirname);
bool rccAble(const char* opt_dirname);
bool qtCommands(const char* opt_substr);

// cpp and header skeleton writer
bool ui2cpp();

// misc
bool printVersion();
bool commands(const char* opt_substr);
bool help();

} // extern "C"

#endif // ui_tools_h

